Tuesday, 18 February 2014

LoadRunner Citrix Agent installation error

Problem Details:- Trying to install the LoadRunner Citrix agent on a Windows 2008 Server - 64 bit box. Using the Setup in the Agent for Citrix Presentation Server / Win64 folder.

During setup, I get the dialog for a prerequisite program : Windows Installer 3.1.

When I click 'OK' for the install, I get an error : Not enough storage is available to process this command.

I have 30 GBytes on the hard drive, so I cannot imagine diskspace is an issue.

Problem Solution:-  Just for double check are you using LR 11 correct ?
In order to install the Citrix agent for 64 bits you need to use this one, please check if is the same that you have, if not please download it.

http://support.openview.hp.com/selfsolve/document/KM1088979

And you need to back up your system before installing a patch, Uninstall Citrix Agent64b 11.00 GA version or Citrix Agent 64b 11.00 Patch 1, then Run LR_03061.exe

Question:- Perfect … just make sure you can successfully install Server 2008 R2 before it comes to me!

Answer:- We tried to see if we can install it without the prerequisites but we are not able to do it, actually we are able to install it just fine.

We have a couple of questions do you have the same problem if you try to install something else on the computer?

When you are installing the agent do you have something else running on the computer like other programs? If so can you close them?

Would suggest you to clear the temp folders and check if it helps, here are the steps:

1. 1. Click Start, type %temp% in the search box and hit enter.

2. 2. Press ctrl key and A, that will select all the contents and delete it.

Once you clear this, follow these steps:

1. 1. Click Start, click on computer.

2. 2. Open C drive, go to Temp folder and delete all the contents and check if it helps

Also you can check this link http://blog.rongabriel.com/2010/03/08/not-enough-storage-is-available-to-process-this-command/

Question:- OK … are you doing the install on a Windows Server 2008 R2 box? Because everything that I am reading would indicate that attempting to install Windows 3.1 installer simply will not install on this machine. Are you getting the dialog that indicates that you have to install it or perhaps just skipping past to the next step?

In fact, I am not able to install Installer 4.5 on this box because it is compatible with Windows Server 2008 but NOT 2008 R2.

I tried the other fix (LanmanServer) … and it did not work.

Note: windows installer 5.0 is integrated into this OS, so there is no reason for your install to try to shove Installer 3.1 on my server.
Answer:- I installed this patch http://support.openview.hp.com/selfsolve/document/KM1088979
I used a windows 2008 R2 as you can see on this screenshot
And the windows installer version is 5.7

I recommend you to download the patch again or try to install the patch in other computer.

This one pre-installed MS WSE 2.? , MS WSE 3.0 and some MS Visual <something-or-other) redistributable, then flipped into the agent install. This is obviously NOT what came with the original installation package … I hate that when that happens.

2 comments: